Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022727
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2013-01-03 19:332013-01-14 18:59
ReporterngarciaView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision90784c1f2600
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2012-10-08
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/ee9c755796d8c44962aa09ea9ce885cd3d60f485 [^]
Triggers an Emergency PackNo
Summary

0022727: Status bar fields not shown when saving a view in grid view

DescriptionStatus bar fields not shown when saving a view in grid view
Steps To ReproduceAs group admin role:
   Go to Sales Order screen
   Delete the Currency column from the grid
   Save View
   Notice that the status bar fields disappear when opening a record in form view
   Change to the standard view again and check that the status bar fields remain hidden
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055478)
ngarcia (developer)
2013-01-11 11:53

I have been able to reproduce it in 3.0MP17.2 but not in 3.0MP16.3
(0055491)
hgbot (developer)
2013-01-11 15:17

Repository: erp/devel/pi
Changeset: 90784c1f2600bfb02c9d01e0d23a5f927f624f72
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Jan 11 15:16:34 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/90784c1f2600bfb02c9d01e0d23a5f927f624f72 [^]

Fixes issue 22727: Status bar fields are shown even with a default saved view

Before the fix, the hiddeninform property was used in the statusbar fields personalization to decide if they should be shown. But this property was set to true for all statusbar fields to prevent them from showing in the form, so this check has been removed.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-personalization.js
---
(0055492)
shankarb (developer)
2013-01-11 16:30

Code reviewed and tested in pi @ changeset 95e35cbee312
(0055511)
hudsonbot (developer)
2013-01-14 18:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d776bda1e7c4 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-01-03 19:33 ngarcia New Issue
2013-01-03 19:33 ngarcia Assigned To => AugustoMauch
2013-01-03 19:33 ngarcia Modules => Core
2013-01-03 19:33 ngarcia Triggers an Emergency Pack => No
2013-01-03 19:33 ngarcia Issue Monitored: networkb
2013-01-03 19:55 ngarcia Summary Status bar fields not shown when saving a view => Status bar fields not shown when saving a view in grid view
2013-01-03 19:55 ngarcia Description Updated View Revisions
2013-01-03 19:55 ngarcia Steps to Reproduce Updated View Revisions
2013-01-03 19:59 ngarcia Steps to Reproduce Updated View Revisions
2013-01-11 08:15 shankarb Assigned To AugustoMauch => shankarb
2013-01-11 11:35 ngarcia version => pi
2013-01-11 11:53 ngarcia Regression level => Production - Confirmed Stable
2013-01-11 11:53 ngarcia Note Added: 0055478
2013-01-11 14:37 AugustoMauch Assigned To shankarb => AugustoMauch
2013-01-11 14:37 AugustoMauch Regression date => 2012-10-08
2013-01-11 14:37 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/ee9c755796d8c44962aa09ea9ce885cd3d60f485 [^]
2013-01-11 15:16 AugustoMauch Issue Monitored: shankarb
2013-01-11 15:17 AugustoMauch Review Assigned To => shankarb
2013-01-11 15:17 hgbot Checkin
2013-01-11 15:17 hgbot Note Added: 0055491
2013-01-11 15:17 hgbot Status new => resolved
2013-01-11 15:17 hgbot Resolution open => fixed
2013-01-11 15:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/90784c1f2600bfb02c9d01e0d23a5f927f624f72 [^]
2013-01-11 16:30 shankarb Note Added: 0055492
2013-01-11 16:30 shankarb Status resolved => closed
2013-01-11 16:30 shankarb Fixed in Version => pi
2013-01-14 18:59 hudsonbot Checkin
2013-01-14 18:59 hudsonbot Note Added: 0055511


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker